{% extends "base.html" %}
{% load static %}

{% block meta %}
    <title>Consultation</title>
    <link rel="stylesheet" href="{% static 'forum/css/styles.css' %}">
{% endblock meta %}

{% block content %}
        <div class="container-fluid" style="overflow-y: auto">
        <div class="my" style="height: 900px;">
            <div class="obatpedia-header p-3 pb-md-4 text-center">
                <h1 class="display-4 fw-bold" style="color: #FFFFFF">Consultation</h1>
                <h1 class="display-4 fw-normal" style="color: #FFFFFF">---</h1>
                <p style="color: #9C9C9C">We provide to you the best choices for you. Adjust
                    it to your health needs and make sure your undergo treatment with our highly qualified doctors you can
                    consult with us which type of service is suitable for your health</p>
            </div>

            <div class="row">
                <div class="leftright">
                    <input type="search" id="search_consultation" class="form-control" placeholder="Search..." style="display: inline">
                    <input type="submit" value="Search" style="background-color: #9F7AEA; color: #FFFFFF">
                </div>
            </div>

            <h3 style="font-weight: bold;color: #FFFFFF;" >Senin</h3>
            <div class="card" style="width: 100%; background-color: #808080">
                <div class="card-header">
                    <div class="row">
                        <div class="col-sm-5" style="color: #FFFFFF"> Waktu </div>
                        <div class="col-sm-5" style="color: #FFFFFF"> Pasien </div>
                    </div>
                </div>
                <ul class="list-group list-group-flush">
                    {% for b in booking_senin %}
                        <li class="list-group-item" style="background-color: #808080">
                            <div class="d-flex justify-content-start">
                                <div class="col-sm-5" style="color: #FFFFFF"> {{ b.konsultasi.waktu_konsultasi | time:"H:i" }} </div>
                                <div class="col-sm-5" style="color: #FFFFFF"> {{ b.nama_pasien }} </div>
                                <a href="{% url 'consultation:delete-booking' b.pk %}" class="btn btn-primary col-sm-2"
                                   role="button" style="background-color: #9f7aea; color: #FFFFFF"> Reject </a>
                            </div>
                        </li>
                    {% endfor %}
                </ul>
            </div>

            <h3 style="font-weight: bold;color: #FFFFFF;" >Selasa</h3>
            <div class="card" style="width: 100%; background-color: #808080">
                <div class="card-header">
                    <div class="row">
                        <div class="col-sm-5" style="color: #FFFFFF"> Waktu </div>
                        <div class="col-sm-5" style="color: #FFFFFF"> Pasien </div>
                    </div>
                </div>
                <ul class="list-group list-group-flush">
                    {% for b in booking_selasa %}
                        <li class="list-group-item" style="background-color: #808080">
                            <div class="d-flex justify-content-start">
                                <div class="col-sm-5" style="color: #FFFFFF"> {{ b.konsultasi.waktu_konsultasi | time:"H:i"}} </div>
                                <div class="col-sm-5" style="color: #FFFFFF"> {{ b.nama_pasien }} </div>
                                <a href="{% url 'consultation:delete-booking' b.pk %}" class="btn btn-primary col-sm-2"
                                   role="button" style="background-color: #9f7aea; color: #FFFFFF"> Reject </a>
                                </form>
                            </div>
                        </li>
                    {% endfor %}
                </ul>
            </div>

            <h3 style="font-weight: bold;color: #FFFFFF;" >Rabu</h3>
            <div class="card" style="width: 100%; background-color: #808080">
                <div class="card-header">
                    <div class="row">
                        <div class="col-sm-5" style="color: #FFFFFF"> Waktu </div>
                        <div class="col-sm-5" style="color: #FFFFFF"> Pasien </div>
                    </div>
                </div>
                <ul class="list-group list-group-flush">
                    {% for b in booking_rabu %}
                        <li class="list-group-item" style="background-color: #808080">
                            <div class="d-flex justify-content-start">
                                <div class="col-sm-5" style="color: #FFFFFF"> {{ b.konsultasi.waktu_konsultasi | time:"H:i"}} </div>
                                <div class="col-sm-5" style="color: #FFFFFF"> {{ b.nama_pasien }} </div>
                                <a href="{% url 'consultation:delete-booking' b.pk %}" class="btn btn-primary col-sm-2"
                                   role="button" style="background-color: #9f7aea; color: #FFFFFF"> Reject </a>
                            </div>
                        </li>
                    {% endfor %}
                </ul>
            </div>

            <h3 style="font-weight: bold;color: #FFFFFF;" >Kamis</h3>
            <div class="card" style="width: 100%; background-color: #808080">
                <div class="card-header">
                    <div class="row">
                        <div class="col-sm-5" style="color: #FFFFFF"> Waktu </div>
                        <div class="col-sm-5" style="color: #FFFFFF"> Pasien </div>
                    </div>
                </div>
                <ul class="list-group list-group-flush">
                    {% for b in booking_kamis %}
                        <li class="list-group-item" style="background-color: #808080">
                            <div class="d-flex justify-content-start">
                                <div class="col-sm-5" style="color: #FFFFFF"> {{ b.konsultasi.waktu_konsultasi | time:"H:i"}} </div>
                                <div class="col-sm-5" style="color: #FFFFFF"> {{ b.nama_pasien }} </div>
                                <a href="{% url 'consultation:delete-booking' b.pk %}" class="btn btn-primary col-sm-2"
                                   role="button" style="background-color: #9f7aea; color: #FFFFFF"> Reject </a>
                            </div>
                        </li>
                    {% endfor %}
                </ul>
            </div>

            <h3 style="font-weight: bold;color: #FFFFFF;" >Jumat</h3>
            <div class="card" style="width: 100%; background-color: #808080">
                <div class="card-header">
                    <div class="row">
                        <div class="col-sm-5"> Waktu </div>
                        <div class="col-sm-5"> Pasien </div>
                    </div>
                </div>
                <ul class="list-group list-group-flush">
                    {% for b in booking_jumat %}
                        <li class="list-group-item" style="background-color: #808080">
                            <div class="d-flex justify-content-start">
                                <div class="col-sm-5"> {{ b.konsultasi.waktu_konsultasi | time:"H:i"}} </div>
                                <div class="col-sm-5"> {{ b.nama_pasien }} </div>
                                <a href="{% url 'consultation:delete-booking' b.pk %}" class="btn btn-primary col-sm-2"
                                   role="button" style="background-color: #9f7aea; color: #FFFFFF"> Reject </a>
                            </div>
                        </li>
                    {% endfor %}
                </ul>
            </div>

        </div>
    </div>
{% endblock content %}